License Contract Editions
License contract editions define the available product editions for license contracts.
Use the Datastore_LicenseContractEdition endpoint to query license contract editions.
Endpoints
List License Contract Editions
GET
/v1/odata/Datastore_LicenseContractEditionSingle License Contract Edition
GET
/v1/odata/Datastore_LicenseContractEdition({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| LicenseContract | LicenseContract | 1:N | LicenseContract |
Expanding Relationships
GET
/v1/odata/Datastore_LicenseContractEdition({id})?$expand=LicenseContractNavigating Relationships
GET
/v1/odata/Datastore_LicenseContractEdition({id})/LicenseContractFiltering Examples
GET
/v1/odata/Datastore_LicenseContractEdition?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_LicenseContractEdition?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_LicenseContractEdition?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_LicenseContractEdition?$filter=IsDefault eq {IsDefault}&$top={top}Custom Query
Build your own OData query against Datastore_LicenseContractEdition. Open Run and edit the whole request inline — swap the entity set, change the $filter, or add $expand, $select, $orderby, $top, $skip. Type $ for suggestions; use ↺ Reset to restore this example.
GET
/v1/odata/Datastore_LicenseContractEdition?$top=10